unit acuRegisterModelMappings;


interface

uses
  acuModel, acuRepositorySQL;

const
  ngAuditEvent_TransactionId = 0;
  ngAuditEvent_Date = 1;
  ngAuditEvent_UserName = 2;
  ngAuditEvent_EventType = 3;
  ngAuditEvent_UseCaseName = 4;
  ngAuditEvent_ObjectClassName = 5;
  ngAuditEvent_ObjectOID = 6;
  ngAuditEvent_Context = 7;
  ngAuditEvent_Data = 8;
  ngAuditEventData_DataName = 0;
  ngAuditEventData_OldValue = 1;
  ngAuditEventData_NewValue = 2;
  ngAuditEventData_AuditEvent = 3;
  NGBusinessEvent_Data = 0;
  NGBusinessEvent_PublishDateTime = 1;
  NGBusinessEvent_Distributed = 3;
  NGBusinessEvent_EventType = 2;
  NGBusinessEventDistributed_DistributedDateTime = 0;
  NGBusinessEventSubscriber_code = 0;
  NGBusinessEventSubscriber_Name = 1;
  NGBusinessEventSubscriber_NotifierEventualTimeWindows = 6;
  NGBusinessEventSubscriber_NotifierTimeGrids = 7;
  NGBusinessEventSubscriber_ActiveError = 4;
  NGBusinessEventSubscriber_Errors = 5;
  NGBusinessEventSubscriber_EventsType = 2;
  NGBusinessEventSubscriber_IgnoredEvents = 9;
  NGBusinessEventSubscriber_NotifiedEvents = 8;
  NGBusinessEventSubscriber_UnnotifiedEvents = 3;
  NGBusinessEventSubscriberError_ErrorDate = 0;
  NGBusinessEventSubscriberError_Description = 1;
  NGBusinessEventSubscriberError_BusinessEvent = 2;
  NGBusinessEventType_Code = 0;
  NGBusinessEventType_Name = 1;
  NGBusinessEventType_Subscribers = 2;
  NGBusinessSubscriberNotifierEventualTimeWindow_ValidAt = 0;
  NGBusinessSubscriberNotifierEventualTimeWindow_StartAt = 1;
  NGBusinessSubscriberNotifierEventualTimeWindow_EndAt = 2;
  NGBusinessSubscriberNotifierEventualTimeWindow_Code = 3;
  NGBusinessSubscriberNotifierEventualTimeWindow_ClosedAt = 4;
  NGBusinessSubscriberNotifierEventualTimeWindow_OpenedAt = 5;
  NGBusinessSubscriberNotifierEventualTimeWindow_Subscriber = 6;
  NGBusinessSubscriberNotifierTimeGrid_ValidFrom = 0;
  NGBusinessSubscriberNotifierTimeGrid_ValidTo = 1;
  NGBusinessSubscriberNotifierTimeGrid_TimeWindows = 3;
  NGBusinessSubscriberNotifierTimeGrid_Subscriber = 2;
  NGBusinessSubscriberNotifierTimeWindow_StartAt = 0;
  NGBusinessSubscriberNotifierTimeWindow_EndAt = 1;
  NGBusinessSubscriberNotifierTimeWindow_Code = 2;
  NGBusinessSubscriberNotifierTimeWindow_OpenedAt = 3;
  NGBusinessSubscriberNotifierTimeWindow_ClosedAt = 4;
  NGBusinessSubscriberNotifierTimeWindow_TimeGrid = 5;
  ngCategory_Name = 0;
  ngCategory_Code = 1;
  ngCategory_Situation = 2;
  ngCategory_UseCases = 3;
  ngEntity_Name = 0;
  ngEntity_Code = 1;
  ngEntity_Caption = 2;
  ngEntity_Situation = 3;
  ngEntity_UseCases = 4;
  ngEvent_DtLaunching = 0;
  ngEvent_EventType = 1;
  ngEvent_User = 2;
  ngEvent_AuthorizedUser = 3;
  ngGUITicket_Name = 0;
  ngGUITicket_Code = 1;
  ngGUITicket_Description = 2;
  ngGUITicket_Situation = 3;
  ngGUITicket_SystemGUIs = 4;
  ngIcon_Description = 0;
  ngIcon_Code = 1;
  ngIcon_Image = 2;
  ngIcon_Situation = 3;
  ngIcon_UseCases = 4;
  ngLevel_Code = 0;
  ngLevel_Description = 1;
  ngLevel_Situation = 2;
  ngLevel_System = 4;
  ngLevel_UseCaseOperations = 3;
  ngMessage_Code = 0;
  ngMessage_Description = 1;
  ngMessage_Name = 2;
  ngMessage_Situation = 3;
  ngMessage_DetailedDescription = 4;
  ngMessage_ShowCode = 5;
  ngMessage_DescriptionUser = 6;
  ngMessage_System = 7;
  NGNatureza_Codigo = 0;
  NGNatureza_Descricao = 1;
  NGNatureza_Systems = 2;
  ngOperation_Description = 0;
  ngOperation_Code = 1;
  ngOperation_Situation = 2;
  ngOperation_UseCaseOperations = 3;
  ngPermission_User = 2;
  ngPermission_System = 1;
  ngPermission_UseCaseOperation = 0;
  ngProfile_Code = 0;
  ngProfile_Name = 1;
  ngProfile_Description = 2;
  ngProfile_UseCaseOperations = 3;
  ngProfile_UserProfiles = 4;
  ngSystem_Name = 0;
  ngSystem_Description = 1;
  ngSystem_Version = 2;
  ngSystem_Code = 3;
  ngSystem_Situation = 4;
  ngSystem_SystemGUIs = 6;
  ngSystem_Levels = 7;
  ngSystem_SystemUseCases = 9;
  ngSystem_Permissions = 5;
  ngSystem_Events = 8;
  ngSystemConfigUpdateLog_XMLLog = 0;
  ngSystemConfigUpdateLog_UpdateDate = 1;
  ngSystemConfigUpdateLog_UserLogin = 2;
  ngSystemGUITickets_Situation = 0;
  ngSystemGUITickets_GUI = 3;
  ngSystemGUITickets_System = 1;
  ngSystemGUITickets_UseCase = 2;
  ngSystemUseCaseTicket_Situation = 0;
  ngSystemUseCaseTicket_System = 1;
  ngSystemUseCaseTicket_UseCase = 2;
  ngUseCaseTicket_Description = 0;
  ngUseCaseTicket_Name = 1;
  ngUseCaseTicket_Code = 2;
  ngUseCaseTicket_UseCaseType = 3;
  ngUseCaseTicket_Situation = 4;
  ngUseCaseTicket_SystemGUIs = 9;
  ngUseCaseTicket_UseCaseSystems = 10;
  ngUseCaseTicket_UseCaseOperations = 8;
  ngUseCaseTicket_Category = 6;
  ngUseCaseTicket_Entity = 5;
  ngUseCaseTicket_Icon = 7;
  ngUseCaseTicketOperation_Situation = 0;
  ngUseCaseTicketOperation_AccessControlExternalCode = 1;
  ngUseCaseTicketOperation_Events = 6;
  ngUseCaseTicketOperation_Permissions = 2;
  ngUseCaseTicketOperation_Levels = 5;
  ngUseCaseTicketOperation_Operation = 4;
  ngUseCaseTicketOperation_UseCase = 3;
  NGUser_Login = 0;
  NGUser_Password = 1;
  NGUser_PasswordResetCode = 2;
  NGUser_DtRegister = 3;
  NGUser_DtLastChangePassword = 4;
  NGUser_CancelIndicator = 5;
  NGUser_CodigoReferencia = 6;
  NGUser_PasswordFormat = 7;
  NGUser_PasswordSalt = 8;
  NGUser_MobilePIN = 9;
  NGUser_Email = 10;
  NGUser_LoweredEmail = 11;
  NGUser_PasswordQuestion = 12;
  NGUser_PasswordAnswer = 13;
  NGUser_IsLockedOut = 14;
  NGUser_LastLoginDate = 15;
  NGUser_LastLockoutDate = 16;
  NGUser_FailedPasswordAttemptCount = 17;
  NGUser_FailedPasswordAttemptWindowStart = 18;
  NGUser_FailedPasswordAnswerAttemptCount = 19;
  NGUser_FailedPasswordAnswerAttemptWindowStart = 20;
  NGUser_Comment = 21;
  NGUser_LastActivityDate = 22;
  NGUser_PermissionSecurityEvents = 23;
  NGUser_Permissions = 25;
  NGUser_SecurityEvents = 26;
  NGUser_Natureza = 24;
  ngUserProfile_User = 1;
  ngUserProfile_Profile = 0;

  procedure RegisterModelMappings(piMetaModelPersistenceMap: acMetaModelPersistenceMapSQL);

implementation

uses
  utuStateMachine, acuUseCaseStateMachine;


procedure RegisterClassTickets1(piMetaModel: acMetaModel; piMetaModelPersistenceMap: acMetaModelPersistenceMapSQL);
var
  lClassMapTicket: acClassTicket;
  lClassToDBMapTicket: acClassToDBMapTicket;
  lDBIntIdoMapTicket: acDBIdoMapTicket;
  prop: acAttributeTicket;
begin
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('362','ngAuditEvent','acPersistentObject', 9);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('SISCIDAUDI');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('362', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'SISCTAUDIT';
  prop := lClassMapTicket.NewAttributeTicket('TransactionId', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 38;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISCTRANID';
  prop := lClassMapTicket.NewAttributeTicket('Date', 'acDateTime', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISCDATETI';
  prop := lClassMapTicket.NewAttributeTicket('UserName', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 30;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISCUSERNA';
  prop := lClassMapTicket.NewAttributeTicket('EventType', 'acString', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 0;
  prop.VarSize := 10;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISCEVNTYP';
  prop := lClassMapTicket.NewAttributeTicket('UseCaseName', 'acString', acAttributeStereotype.pvPersistent, False, 4);
  prop.FixSize := 0;
  prop.VarSize := 100;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISCUCNAME';
  prop := lClassMapTicket.NewAttributeTicket('ObjectClassName', 'acString', acAttributeStereotype.pvPersistent, False, 5);
  prop.FixSize := 0;
  prop.VarSize := 100;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISCCLNAME';
  prop := lClassMapTicket.NewAttributeTicket('ObjectOID', 'acString', acAttributeStereotype.pvPersistent, False, 6);
  prop.FixSize := 0;
  prop.VarSize := 40;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISCOBJOID';
  prop := lClassMapTicket.NewAttributeTicket('Context', 'acString', acAttributeStereotype.pvPersistent, False, 7);
  prop.FixSize := 0;
  prop.VarSize := 255;
  prop.Mandatory := False;
  prop.DBType := 'VARCHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISCCONTEX';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('363','ngAuditEventData','acPersistentObject', 4);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('SISDIDEVND');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('363', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'SISDTEVNDA';
  prop := lClassMapTicket.NewAttributeTicket('DataName', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 100;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISDDATNAM';
  prop := lClassMapTicket.NewAttributeTicket('OldValue', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 4000;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISDOLDVAL';
  prop := lClassMapTicket.NewAttributeTicket('NewValue', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 4000;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SISDNEWVAL';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('278','NGBusinessEvent','acPersistentObject', 4);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('INTAIDBUEV');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('278', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'INTATBUEVN';
  prop := lClassMapTicket.NewAttributeTicket('Data', 'acText', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'TEXT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTADATAAA';
  prop := lClassMapTicket.NewAttributeTicket('PublishDateTime', 'acDateTime', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'DATETIME';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTAPUBLDT';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('744','NGBusinessEventDistributed','acPersistentObject', 1);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('INTLIDBUED');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('744', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'INTLTBUEVD';
  prop := lClassMapTicket.NewAttributeTicket('DistributedDateTime', 'acDateTime', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'DATETIME';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTLDISTDT';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('279','NGBusinessEventSubscriber','acPersistentObject', 10);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('INTBIDSUBS');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('279', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'INTBTSUBSC';
  prop := lClassMapTicket.NewAttributeTicket('code', 'acInt', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTBCODEE';
  prop := lClassMapTicket.NewAttributeTicket('Name', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 50;
  prop.Mandatory := True;
  prop.DBType := 'VARCHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTBNAMEE';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('743','NGBusinessEventSubscriberError','acPersistentObject', 3);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('INTJIDSBER');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('743', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'INTJTSBERR';
  prop := lClassMapTicket.NewAttributeTicket('ErrorDate', 'acDateTime', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'DATETIME';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTJDTERRO';
  prop := lClassMapTicket.NewAttributeTicket('Description', 'acText', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 512;
  prop.Mandatory := True;
  prop.DBType := 'VARCHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTJDESCRI';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('280','NGBusinessEventType','acPersistentObject', 3);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('INTCIDEVNT');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('280', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'INTCTEVNTP';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTCCODEEE';
  prop := lClassMapTicket.NewAttributeTicket('Name', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 50;
  prop.Mandatory := True;
  prop.DBType := 'VARCHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTCNAMEEE';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('742','NGBusinessSubscriberNotifierEventualTimeWindow','acPersistentObject', 7);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('INTHIDETMW');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('742', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'INTHTETMWI';
  prop := lClassMapTicket.NewAttributeTicket('ValidAt', 'acDateTime', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'DATETIME';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTHVDATTT';
  prop := lClassMapTicket.NewAttributeTicket('StartAt', 'acInt', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 4;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTHSTARTA';
  prop := lClassMapTicket.NewAttributeTicket('EndAt', 'acInt', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 4;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTHENDATT';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acString', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 0;
  prop.VarSize := 20;
  prop.Mandatory := True;
  prop.DBType := 'VARCHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTHCODEEE';
  prop := lClassMapTicket.NewAttributeTicket('ClosedAt', 'acInt', acAttributeStereotype.pvPersistent, False, 4);
  prop.FixSize := 4;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTHCLOSAT';
  prop := lClassMapTicket.NewAttributeTicket('OpenedAt', 'acInt', acAttributeStereotype.pvPersistent, False, 5);
  prop.FixSize := 4;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTHOPENAT';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('740','NGBusinessSubscriberNotifierTimeGrid','acPersistentObject', 4);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('INTFIDTMGR');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('740', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'INTFTTMGRD';
  prop := lClassMapTicket.NewAttributeTicket('ValidFrom', 'acDateTime', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'DATETIME';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTFVDFROM';
  prop := lClassMapTicket.NewAttributeTicket('ValidTo', 'acDateTime', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'DATETIME';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTFVDTOOO';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('741','NGBusinessSubscriberNotifierTimeWindow','acPersistentObject', 6);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('INTGIDTMWI');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('741', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'INTGTTMWIN';
  prop := lClassMapTicket.NewAttributeTicket('StartAt', 'acInt', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 4;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTGSTARTA';
  prop := lClassMapTicket.NewAttributeTicket('EndAt', 'acInt', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 4;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTGENDATT';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 20;
  prop.Mandatory := True;
  prop.DBType := 'VARCHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTGCODEEE';
  prop := lClassMapTicket.NewAttributeTicket('OpenedAt', 'acInt', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 4;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTGOPENAT';
  prop := lClassMapTicket.NewAttributeTicket('ClosedAt', 'acInt', acAttributeStereotype.pvPersistent, False, 4);
  prop.FixSize := 4;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'INT';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'INTGCLOSAT';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-3','ngCategory','acPersistentObject', 4);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESDIDCATE');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-3', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESDTCATEG';
  prop := lClassMapTicket.NewAttributeTicket('Name', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 20;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESDNMCATE';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESDCDCATE';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESDCDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-4','ngEntity','acPersistentObject', 5);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESCIDENTI');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-4', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESCTENTID';
  prop := lClassMapTicket.NewAttributeTicket('Name', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 20;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESCNMENTI';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESCCDENTI';
  prop := lClassMapTicket.NewAttributeTicket('Caption', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 20;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESCTIENTI';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESCCDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-8','ngEvent','acPersistentObject', 4);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('SEGCIDESEG');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-8', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'SEGCTEVSEG';
  prop := lClassMapTicket.NewAttributeTicket('DtLaunching', 'acDateTime', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGCDTLANC';
  prop := lClassMapTicket.NewAttributeTicket('EventType', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'char';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGCTPEVEN';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('128','ngGUITicket','acPersistentObject', 5);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESOIDINTE');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('128', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESOTINTER';
  prop := lClassMapTicket.NewAttributeTicket('Name', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 50;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESONMINTE';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESOCDINTE';
  prop := lClassMapTicket.NewAttributeTicket('Description', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 250;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESODSINTE';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESOCDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-2','ngIcon','acPersistentObject', 5);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESFIDCUIC');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-2', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESFTCUICO';
  prop := lClassMapTicket.NewAttributeTicket('Description', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 50;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESFDSCUIC';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESFCDCUIC';
  prop := lClassMapTicket.NewAttributeTicket('Image', 'acBlob', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 16;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'image';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESFIMCUIC';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESFCDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-11','ngLevel','acPersistentObject', 5);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESHIDLEVE');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-11', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESHTLEVEL';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESHCDLEVE';
  prop := lClassMapTicket.NewAttributeTicket('Description', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 50;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESHDSLEVE';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESHCDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('515','ngMessage','acPersistentObject', 8);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESRIDMESS');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('515', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESRTMESSG';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESRCDMESS';
  prop := lClassMapTicket.NewAttributeTicket('Description', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 300;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESRDSMESS';
  prop := lClassMapTicket.NewAttributeTicket('Name', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 100;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESRSGMESS';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESRCDSITU';
  prop := lClassMapTicket.NewAttributeTicket('DetailedDescription', 'acString', acAttributeStereotype.pvPersistent, False, 4);
  prop.FixSize := 0;
  prop.VarSize := 4000;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESRDSDETA';
  prop := lClassMapTicket.NewAttributeTicket('ShowCode', 'acString', acAttributeStereotype.pvPersistent, False, 5);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'char';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESRSHOCOD';
  prop := lClassMapTicket.NewAttributeTicket('DescriptionUser', 'acString', acAttributeStereotype.pvPersistent, False, 6);
  prop.FixSize := 0;
  prop.VarSize := 300;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESRDSMEUS';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('132','NGNatureza','acPersistentObject', 3);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('SEGDIDNAUS');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('132', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'SEGDTNAUSU';
  prop := lClassMapTicket.NewAttributeTicket('Codigo', 'acInt', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGDCDNAUS';
  prop := lClassMapTicket.NewAttributeTicket('Descricao', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 50;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGDDSNAUS';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-9','ngOperation','acPersistentObject', 4);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESJIDOPER');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-9', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESJTOPERA';
  prop := lClassMapTicket.NewAttributeTicket('Description', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 20;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESJDSOPER';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESJCDOPER';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESJCDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-7','ngPermission','acPersistentObject', 3);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('SEGBIDPERM');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-7', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'SEGBTPERMI';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('1518','ngProfile','acPersistentObject', 5);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESSIDPROF');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('1518', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESSTPROFI';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESSCDPROF';
  prop := lClassMapTicket.NewAttributeTicket('Name', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 40;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESSNMPROF';
  prop := lClassMapTicket.NewAttributeTicket('Description', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 100;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESSDSPROF';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-5','ngSystem','acPersistentObject', 10);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESAIDSIST');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-5', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESATSISTE';
  prop := lClassMapTicket.NewAttributeTicket('Name', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 10;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESANMSIST';
  prop := lClassMapTicket.NewAttributeTicket('Description', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 50;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESADSSIST';
  prop := lClassMapTicket.NewAttributeTicket('Version', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 10;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESAVERSAO';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESACDSIST';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 4);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESACDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-12','ngSystemConfigUpdateLog','acPersistentObject', 3);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESQIDUPLO');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-12', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESQTUPLOG';
  prop := lClassMapTicket.NewAttributeTicket('XMLLog', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 9999999;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'Text';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESQXMLOG';
  prop := lClassMapTicket.NewAttributeTicket('UpdateDate', 'acDateTime', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESQUDATE';
  prop := lClassMapTicket.NewAttributeTicket('UserLogin', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 50;
  prop.Mandatory := True;
  prop.DBType := 'VARCHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESQCDLOGI';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('129','ngSystemGUITickets','acPersistentObject', 4);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESPIDSISI');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('129', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESPTSISIN';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESPCDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-14','ngSystemUseCaseTicket','acPersistentObject', 3);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESEIDSISC');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-14', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESETSISCU';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESECDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-1','ngUseCaseTicket','acPersistentObject', 11);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESBIDCASO');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-1', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESBTCASOU';
  prop := lClassMapTicket.NewAttributeTicket('Description', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 250;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESBDSCASO';
  prop := lClassMapTicket.NewAttributeTicket('Name', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 50;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESBNMCASO';
  prop := lClassMapTicket.NewAttributeTicket('Code', 'acInt', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESBCDCASO';
  prop := lClassMapTicket.NewAttributeTicket('UseCaseType', 'acString', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'char';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESBTPCASO';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 4);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESBCDSITU';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-10','ngUseCaseTicketOperation','acPersistentObject', 7);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESGIDCUOP');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-10', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESGTCUOPE';
  prop := lClassMapTicket.NewAttributeTicket('Situation', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'CHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESGCDSITU';
  prop := lClassMapTicket.NewAttributeTicket('AccessControlExternalCode', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 20;
  prop.Mandatory := False;
  prop.DBType := 'VARCHAR';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'IESGCDACEX';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('-6','NGUser','acPersistentObject', 27);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('SEGAIDUSUA');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('-6', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'SEGATUSUAR';
  lClassToDBMapTicket.TypeColumnName := 'SEGACDHERA';
  prop := lClassMapTicket.NewAttributeTicket('Login', 'acString', acAttributeStereotype.pvPersistent, False, 0);
  prop.FixSize := 0;
  prop.VarSize := 25;
  prop.Mandatory := True;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGACDUSUA';
  prop := lClassMapTicket.NewAttributeTicket('Password', 'acString', acAttributeStereotype.pvPersistent, False, 1);
  prop.FixSize := 0;
  prop.VarSize := 12;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGASENHAU';
  prop := lClassMapTicket.NewAttributeTicket('PasswordResetCode', 'acString', acAttributeStereotype.pvPersistent, False, 2);
  prop.FixSize := 0;
  prop.VarSize := 20;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAPRSETC';
  prop := lClassMapTicket.NewAttributeTicket('DtRegister', 'acDateTime', acAttributeStereotype.pvPersistent, False, 3);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGADTCADU';
  prop := lClassMapTicket.NewAttributeTicket('DtLastChangePassword', 'acDateTime', acAttributeStereotype.pvPersistent, False, 4);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGADTULSE';
  prop := lClassMapTicket.NewAttributeTicket('CancelIndicator', 'acString', acAttributeStereotype.pvPersistent, False, 5);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := True;
  prop.DBType := 'char';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAINCANC';
  prop := lClassMapTicket.NewAttributeTicket('CodigoReferencia', 'acString', acAttributeStereotype.pvPersistent, False, 6);
  prop.FixSize := 0;
  prop.VarSize := 25;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGACDREFE';
  prop := lClassMapTicket.NewAttributeTicket('PasswordFormat', 'acInt', acAttributeStereotype.pvPersistent, False, 7);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAFORMSE';
  prop := lClassMapTicket.NewAttributeTicket('PasswordSalt', 'acString', acAttributeStereotype.pvPersistent, False, 8);
  prop.FixSize := 0;
  prop.VarSize := 128;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGASALTSE';
  prop := lClassMapTicket.NewAttributeTicket('MobilePIN', 'acString', acAttributeStereotype.pvPersistent, False, 9);
  prop.FixSize := 0;
  prop.VarSize := 16;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAMOBILE';
  prop := lClassMapTicket.NewAttributeTicket('Email', 'acString', acAttributeStereotype.pvPersistent, False, 10);
  prop.FixSize := 0;
  prop.VarSize := 256;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAEEMAIL';
  prop := lClassMapTicket.NewAttributeTicket('LoweredEmail', 'acString', acAttributeStereotype.pvPersistent, False, 11);
  prop.FixSize := 0;
  prop.VarSize := 256;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGALEMAIL';
  prop := lClassMapTicket.NewAttributeTicket('PasswordQuestion', 'acString', acAttributeStereotype.pvPersistent, False, 12);
  prop.FixSize := 0;
  prop.VarSize := 256;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGASENHAQ';
  prop := lClassMapTicket.NewAttributeTicket('PasswordAnswer', 'acString', acAttributeStereotype.pvPersistent, False, 13);
  prop.FixSize := 0;
  prop.VarSize := 256;
  prop.Mandatory := False;
  prop.DBType := 'varchar';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGASENHAA';
  prop := lClassMapTicket.NewAttributeTicket('IsLockedOut', 'acString', acAttributeStereotype.pvPersistent, False, 14);
  prop.FixSize := 1;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'char';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGABLOQUE';
  prop := lClassMapTicket.NewAttributeTicket('LastLoginDate', 'acDateTime', acAttributeStereotype.pvPersistent, False, 15);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAULTLGN';
  prop := lClassMapTicket.NewAttributeTicket('LastLockoutDate', 'acDateTime', acAttributeStereotype.pvPersistent, False, 16);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAULTBLQ';
  prop := lClassMapTicket.NewAttributeTicket('FailedPasswordAttemptCount', 'acInt', acAttributeStereotype.pvPersistent, False, 17);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAFSACOU';
  prop := lClassMapTicket.NewAttributeTicket('FailedPasswordAttemptWindowStart', 'acDateTime', acAttributeStereotype.pvPersistent, False, 18);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAFSAWST';
  prop := lClassMapTicket.NewAttributeTicket('FailedPasswordAnswerAttemptCount', 'acInt', acAttributeStereotype.pvPersistent, False, 19);
  prop.FixSize := 10;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'int';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAFSAACO';
  prop := lClassMapTicket.NewAttributeTicket('FailedPasswordAnswerAttemptWindowStart', 'acDateTime', acAttributeStereotype.pvPersistent, False, 20);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAFSAAWS';
  prop := lClassMapTicket.NewAttributeTicket('Comment', 'acString', acAttributeStereotype.pvPersistent, False, 21);
  prop.FixSize := 16;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'text';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGACOMMEN';
  prop := lClassMapTicket.NewAttributeTicket('LastActivityDate', 'acDateTime', acAttributeStereotype.pvPersistent, False, 22);
  prop.FixSize := 8;
  prop.VarSize := 0;
  prop.Mandatory := False;
  prop.DBType := 'datetime';
  lClassToDBMapTicket.NewDbColumnMapRegisterTicket(prop).ColumnName := 'SEGAULTACT';
  
  lClassMapTicket    := piMetaModel.NewClassRegisterTicket('1540','ngUserProfile','acPersistentObject', 2);
  lClassMapTicket.AuditDescription := '';
  
  lDBIntIdoMapTicket := acDBIntIdoMapTicket.Create('IESUIDUSEP');
  lClassToDBMapTicket := piMetaModelPersistenceMap.NewClassToDBMapRegisterTicket('1540', lClassMapTicket, lDBIntIdoMapTicket) ;
  lClassToDBMapTicket.TableName := 'IESUTUSERP';
end;

procedure RegisterClassRelationTickets1(piMetaModel: acMetaModel; piMetaModelPersistenceMap: acMetaModelPersistenceMapSQL);
var
  lRelationTicket: acRelationTicket;
begin
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEvent', 'Distributed', 3, 0, 1, acPropertyAggregation.pvComposite, 'Distributed BusinessEvent', 'NGBusinessEventDistributed', '', -1, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToOneDbRelationMapRegisterTicket(lRelationTicket, 'INTLIDBUEV');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEvent', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, 'SubscriberError has Event', 'NGBusinessEventSubscriberError', 'BusinessEvent', 2, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTJIDBUEV');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEventSubscriber', 'NotifierEventualTimeWindows', 6, 0, 2147483647, acPropertyAggregation.pvComposite, 'Subscriber has eventual notifier time windows', 'NGBusinessSubscriberNotifierEventualTimeWindow', 'Subscriber', 6, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTHIDSUBS');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEventSubscriber', 'NotifierTimeGrids', 7, 0, 2147483647, acPropertyAggregation.pvComposite, 'Subscriber has notifier time grids', 'NGBusinessSubscriberNotifierTimeGrid', 'Subscriber', 2, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTFIDSUBS');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEventSubscriber', 'ActiveError', 4, 0, 1, acPropertyAggregation.pvNone, 'Subscriber''s Active Error', 'NGBusinessEventSubscriberError', '', -1, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewIndirectOneToOneDbRelationMapRegisterTicket(lRelationTicket, 'INTBIDSUBS', 'INTJIDSBER', 'INTKTSUBER');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEventSubscriber', 'Errors', 5, 0, 2147483647, acPropertyAggregation.pvComposite, 'Subscriber''s Errors', 'NGBusinessEventSubscriberError', '', -1, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTJIDSUBS');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEventSubscriber', 'EventsType', 2, 0, 2147483647, acPropertyAggregation.pvNone, 'Subscriber''s Events Type of Interest', 'NGBusinessEventType', 'Subscribers', 2, 0, 2147483647, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewManyToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTBIDSUBS', 'INTCIDEVNT', 'INTETINTER');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEventSubscriber', 'IgnoredEvents', 9, 0, 2147483647, acPropertyAggregation.pvNone, 'Subscriber''s Ignored Events', 'NGBusinessEvent', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewManyToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTBIDSUBS', 'INTAIDBUEV', 'INTITIGNOR');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEventSubscriber', 'NotifiedEvents', 8, 0, 2147483647, acPropertyAggregation.pvNone, 'Subscriber''s Notified Events', 'NGBusinessEvent', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewManyToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTBIDSUBS', 'INTAIDBUEV', 'INTMTNOTEV');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEventSubscriber', 'UnnotifiedEvents', 3, 0, 2147483647, acPropertyAggregation.pvNone, 'Subscriber''s Unnotified Events', 'NGBusinessEvent', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewManyToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTBIDSUBS', 'INTAIDBUEV', 'INTDTUNNOT');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessEventType', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, 'Event has type', 'NGBusinessEvent', 'EventType', 2, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTAIDEVNT');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGBusinessSubscriberNotifierTimeGrid', 'TimeWindows', 3, 0, 2147483647, acPropertyAggregation.pvComposite, 'Time grid has time windows', 'NGBusinessSubscriberNotifierTimeWindow', 'TimeGrid', 5, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'INTGIDTMGR');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGNatureza', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, 'User has nature', 'NGUser', 'Natureza', 24, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'SEGAIDNAUS');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGNatureza', 'Systems', 2, 0, 2147483647, acPropertyAggregation.pvNone, 'User nature can access systems', 'ngSystem', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewManyToManyDbRelationMapRegisterTicket(lRelationTicket, 'SEGEIDNAUS', 'SEGEIDSIST', 'SEGETSINAU');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGUser', 'PermissionSecurityEvents', 23, 0, 2147483647, acPropertyAggregation.pvNone, 'User generate security events', 'ngEvent', 'User', 2, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'SEGCIDUSUA');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGUser', 'Permissions', 25, 0, 2147483647, acPropertyAggregation.pvNone, 'User has Permissions', 'ngPermission', 'User', 2, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'SEGBIDUSUA');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGUser', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, 'User has Profiles', 'ngUserProfile', 'User', 1, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESUIDUSUA');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('NGUser', 'SecurityEvents', 26, 0, 2147483647, acPropertyAggregation.pvNone, 'User has security events', 'ngEvent', 'AuthorizedUser', 3, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'SEGCIDRESP');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngAuditEvent', 'Data', 8, 0, 2147483647, acPropertyAggregation.pvNone, 'Audit Event has Data', 'ngAuditEventData', 'AuditEvent', 3, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'SISDIDAUDI');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngCategory', 'UseCases', 3, 0, 2147483647, acPropertyAggregation.pvNone, 'Usecases have a category', 'ngUseCaseTicket', 'Category', 6, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESBIDCATE');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngEntity', 'UseCases', 4, 0, 2147483647, acPropertyAggregation.pvNone, 'Entity has Usecases', 'ngUseCaseTicket', 'Entity', 5, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESBIDENTI');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngGUITicket', 'SystemGUIs', 4, 0, 2147483647, acPropertyAggregation.pvNone, 'System GUIs have GUI', 'ngSystemGUITickets', 'GUI', 3, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESPIDINTE');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngIcon', 'UseCases', 4, 0, 2147483647, acPropertyAggregation.pvNone, 'Usecases have an icon', 'ngUseCaseTicket', 'Icon', 7, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESBIDCUIC');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngOperation', 'UseCaseOperations', 3, 0, 2147483647, acPropertyAggregation.pvNone, 'UseCase operations has operation', 'ngUseCaseTicketOperation', 'Operation', 4, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESGIDOPER');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngProfile', 'UseCaseOperations', 3, 0, 2147483647, acPropertyAggregation.pvNone, 'Profile has Usecase Operations', 'ngUseCaseTicketOperation', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewManyToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESSIDPROF', 'IESGIDCUOP', 'IESTTOPPRO');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngProfile', 'UserProfiles', 4, 0, 2147483647, acPropertyAggregation.pvNone, 'Profile has Users', 'ngUserProfile', 'Profile', 0, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESUIDPROF');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngSystem', 'SystemGUIs', 6, 0, 2147483647, acPropertyAggregation.pvNone, 'System has GUIs', 'ngSystemGUITickets', 'System', 1, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESPIDSIST');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngSystem', 'Levels', 7, 0, 2147483647, acPropertyAggregation.pvNone, 'System has Levels', 'ngLevel', 'System', 4, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESHIDSIST');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngSystem', '', -1, 0, 2147483647, acPropertyAggregation.pvNone, 'System has Message', 'ngMessage', 'System', 7, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESRIDSIST');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngSystem', 'SystemUseCases', 9, 0, 2147483647, acPropertyAggregation.pvNone, 'System has Usecases', 'ngSystemUseCaseTicket', 'System', 1, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESEIDSIST');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngSystem', 'Permissions', 5, 0, 2147483647, acPropertyAggregation.pvNone, 'System has permissions', 'ngPermission', 'System', 1, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'SEGBIDSIST');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngSystem', 'Events', 8, 0, 2147483647, acPropertyAggregation.pvNone, 'System has security events', 'ngEvent', '', -1, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'SEGCIDSIST');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngUseCaseTicket', 'SystemGUIs', 9, 0, 2147483647, acPropertyAggregation.pvNone, 'UseCase has system GUIs', 'ngSystemGUITickets', 'UseCase', 2, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESPIDCASO');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngUseCaseTicket', 'UseCaseSystems', 10, 0, 2147483647, acPropertyAggregation.pvNone, 'Usecas has systems', 'ngSystemUseCaseTicket', 'UseCase', 2, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESEIDCASO');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngUseCaseTicket', 'UseCaseOperations', 8, 0, 2147483647, acPropertyAggregation.pvNone, 'Usecase has usecase operations', 'ngUseCaseTicketOperation', 'UseCase', 3, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESGIDCASO');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngUseCaseTicketOperation', 'Events', 6, 0, 2147483647, acPropertyAggregation.pvNone, 'Use Case Operations have security events', 'ngEvent', '', -1, 1, 1, acPropertyAggregation.pvNone, False, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'SEGCIDCUOP');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngUseCaseTicketOperation', 'Permissions', 2, 0, 2147483647, acPropertyAggregation.pvNone, 'UseCase Operation has permissions', 'ngPermission', 'UseCaseOperation', 0, 1, 1, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewOneToManyDbRelationMapRegisterTicket(lRelationTicket, 'SEGBIDCUOP');
  
  lRelationTicket := piMetaModel.NewRelationRegisterTicket('ngUseCaseTicketOperation', 'Levels', 5, 0, 2147483647, acPropertyAggregation.pvNone, 'Usecase Operations has levels', 'ngLevel', 'UseCaseOperations', 3, 0, 2147483647, acPropertyAggregation.pvNone, True, False);
  if lRelationTicket <> nil then piMetaModelPersistenceMap.NewManyToManyDbRelationMapRegisterTicket(lRelationTicket, 'IESIIDCUOP', 'IESIIDLEVE', 'IESITOPLEV');
  
end;

procedure NewUseCaseTicket_ucImportaConfiguracaoSistema_1327(piMetaModel: acMetaModel);
var
  lUseCaseTicket: acUseCaseTicket;
begin
  lUseCaseTicket := piMetaModel.NewUseCaseTicket('1327', nil, True);
  lUseCaseTicket.Name := 'ucImportaConfiguracaoSistema';
  lUseCaseTicket.InheritsFromClass := 'ucUseCase';
end;

procedure NewUseCaseTicket_ucCadastroNatureza_1360(piMetaModel: acMetaModel);
var
  lUseCaseTicket: acUseCaseTicket;
begin
  lUseCaseTicket := piMetaModel.NewUseCaseTicket('1360', nil, True);
  lUseCaseTicket.Name := 'ucCadastroNatureza';
  lUseCaseTicket.InheritsFromClass := 'ucUseCase';
end;

procedure NewUseCaseTicket_ucDetalhesAtualizacaoSistema_1359(piMetaModel: acMetaModel);
var
  lUseCaseTicket: acUseCaseTicket;
begin
  lUseCaseTicket := piMetaModel.NewUseCaseTicket('1359', nil, True);
  lUseCaseTicket.Name := 'ucDetalhesAtualizacaoSistema';
  lUseCaseTicket.InheritsFromClass := 'ucUseCase';
end;

procedure NewUseCaseTicket_ucControleAcesso_104(piMetaModel: acMetaModel);
var
  lUseCaseTicket: acUseCaseTicket;
begin
  lUseCaseTicket := piMetaModel.NewUseCaseTicket('104', nil, True);
  lUseCaseTicket.Name := 'ucControleAcesso';
  lUseCaseTicket.InheritsFromClass := 'ucUseCase';
end;

procedure NewUseCaseTicket_ucExplorerV4_1432(piMetaModel: acMetaModel);
var
  lUseCaseTicket: acUseCaseTicket;
begin
  lUseCaseTicket := piMetaModel.NewUseCaseTicket('1432', nil, True);
  lUseCaseTicket.Name := 'ucExplorerV4';
  lUseCaseTicket.InheritsFromClass := 'ucUseCase';
end;

procedure NewUseCaseTicket_ucCadastroPerfil_1963(piMetaModel: acMetaModel);
var
  lUseCaseTicket: acUseCaseTicket;
begin
  lUseCaseTicket := piMetaModel.NewUseCaseTicket('1963', nil, False);
  lUseCaseTicket.Name := 'ucCadastroPerfil';
  lUseCaseTicket.InheritsFromClass := 'ucUseCase';
end;

procedure NewUseCaseTicket_ucCadastroUsuarioSistema_101(piMetaModel: acMetaModel);
var
  lUseCaseTicket: acUseCaseTicket;
begin
  lUseCaseTicket := piMetaModel.NewUseCaseTicket('101', nil, True);
  lUseCaseTicket.Name := 'ucCadastroUsuarioSistema';
  lUseCaseTicket.InheritsFromClass := 'ucUseCase';
end;

procedure RegisterUseCases1(piMetaModel: acMetaModel);
var
  lUseCaseTicket: acUseCaseTicket;
  lSubMachineUseCaseTicket: acUseCaseTicket;
  lStateMachine: utStateMachine;
  lSubMachineState: utSubMachineState;
  lState: utState;
  lTransition: utTransition;
begin
  NewUseCaseTicket_ucImportaConfiguracaoSistema_1327(piMetaModel);
  NewUseCaseTicket_ucCadastroNatureza_1360(piMetaModel);
  NewUseCaseTicket_ucDetalhesAtualizacaoSistema_1359(piMetaModel);
  NewUseCaseTicket_ucControleAcesso_104(piMetaModel);
  NewUseCaseTicket_ucExplorerV4_1432(piMetaModel);
  NewUseCaseTicket_ucCadastroPerfil_1963(piMetaModel);
  NewUseCaseTicket_ucCadastroUsuarioSistema_101(piMetaModel);
  
  //UseCase 'ucImportaConfiguracaoSistema'
  lUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1327');
  lUseCaseTicket.StateMachine := acUseCaseStateMachine.Create(lUseCaseTicket);
  
  lStateMachine := lUseCaseTicket.StateMachine;
  
  lStateMachine.Name := 'smServer';
  utState.Create(lStateMachine, 'Initializing');
  lSubMachineState := utSubMachineState.Create(lStateMachine, 'UseCaseSubmachine');
  lSubMachineUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1327');
  lSubMachineState.StateMachine := acUseCaseStateMachine.Create(lSubMachineUseCaseTicket, lSubMachineState);
  utFinalState.Create(lStateMachine, 'smBase_FinalState');
  lStateMachine.InitialState := lStateMachine.FindState('Initializing');
  lState := lStateMachine.FindState('Initializing');
  lTransition := lState.NewOutgoingTransition('READY');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition.AddTrigger('READY');
  
  lState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition := lState.NewOutgoingTransition('ABORT');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('smBase_FinalState');
  lTransition.AddTrigger('UM_ABORT','4');
  lTransition.AddEffect('EFFECT_Abort');
  lTransition := lState.NewOutgoingTransition('TIMEOUTCHECK');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_TIMEOUT_CHECK','16');
  lTransition.AddEffect('EFFECT_TimeOutCheck');
  lTransition := lState.NewOutgoingTransition('GETTRIGGERSFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_TRIGGERS_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetTriggersFromCurrentState');
  lTransition := lState.NewOutgoingTransition('GETXSDBYTRIGGERFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_XSD_BY_TRIGGER_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetXSDByTriggerFromCurrentState');
  
  
  lStateMachine := lUseCaseTicket.FindStateMachine('smServer');
  lStateMachine := utSubMachineState(lStateMachine.FindState('UseCaseSubmachine')).StateMachine as acUseCaseStateMachine;
  lStateMachine.Name := 'smImportaConfiguracaoSistema';
  utState.Create(lStateMachine, 'AguardandoXML');
  utState.Create(lStateMachine, 'XMLCarregado_AlteracoesMapeadas');
  utFinalState.Create(lStateMachine, 'FinalState1');
  lStateMachine.InitialState := lStateMachine.FindState('AguardandoXML');
  lState := lStateMachine.FindState('AguardandoXML');
  lTransition := lState.NewOutgoingTransition('RM_CARREGARXML');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('XMLCarregado_AlteracoesMapeadas');
  lTransition.AddTrigger('RM_CARREGARXML');
  lTransition.AddEffect('EFFECT_CARREGARXML');
  lTransition := lState.NewOutgoingTransition('RM_IMPORTA_CONFIGURACAO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('FinalState1');
  lTransition.AddTrigger('RM_IMPORTA_CONFIGURACAO');
  lTransition.AddEffect('EFFECT_IMPORTA_CONFIGURACAO');
  
  lState := lStateMachine.FindState('XMLCarregado_AlteracoesMapeadas');
  lTransition := lState.NewOutgoingTransition('RM_APLICAR_ALTERACOES');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('FinalState1');
  lTransition.AddTrigger('RM_APLICAR_ALTERACOES');
  lTransition.AddEffect('EFFECT_APLICAR_ALTERACOES');
  
  
  
  //UseCase 'ucCadastroNatureza'
  lUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1360');
  lUseCaseTicket.StateMachine := acUseCaseStateMachine.Create(lUseCaseTicket);
  
  lStateMachine := lUseCaseTicket.StateMachine;
  
  lStateMachine.Name := 'smServer';
  utState.Create(lStateMachine, 'Initializing');
  lSubMachineState := utSubMachineState.Create(lStateMachine, 'UseCaseSubmachine');
  lSubMachineUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1360');
  lSubMachineState.StateMachine := acUseCaseStateMachine.Create(lSubMachineUseCaseTicket, lSubMachineState);
  utFinalState.Create(lStateMachine, 'smBase_FinalState');
  lStateMachine.InitialState := lStateMachine.FindState('Initializing');
  lState := lStateMachine.FindState('Initializing');
  lTransition := lState.NewOutgoingTransition('READY');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition.AddTrigger('READY');
  
  lState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition := lState.NewOutgoingTransition('ABORT');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('smBase_FinalState');
  lTransition.AddTrigger('UM_ABORT','4');
  lTransition.AddEffect('EFFECT_Abort');
  lTransition := lState.NewOutgoingTransition('TIMEOUTCHECK');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_TIMEOUT_CHECK','16');
  lTransition.AddEffect('EFFECT_TimeOutCheck');
  lTransition := lState.NewOutgoingTransition('GETTRIGGERSFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_TRIGGERS_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetTriggersFromCurrentState');
  lTransition := lState.NewOutgoingTransition('GETXSDBYTRIGGERFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_XSD_BY_TRIGGER_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetXSDByTriggerFromCurrentState');
  
  
  lStateMachine := lUseCaseTicket.FindStateMachine('smServer');
  lStateMachine := utSubMachineState(lStateMachine.FindState('UseCaseSubmachine')).StateMachine as acUseCaseStateMachine;
  lStateMachine.Name := 'smCadastroNatureza';
  utState.Create(lStateMachine, 'stEditando');
  utState.Create(lStateMachine, 'stConsultando');
  utState.Create(lStateMachine, 'stAguardando');
  lStateMachine.InitialState := lStateMachine.FindState('stEditando');
  lState := lStateMachine.FindState('stEditando');
  lTransition := lState.NewOutgoingTransition('RM_OBTEM_CONTEXTO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_OBTEM_CONTEXTO');
  lTransition.AddEffect('EFFECT_MontaContexto');
  lTransition := lState.NewOutgoingTransition('RM_SALVA_OBJETO');
  lTransition.GuardCondition := 'GUARD_ValidaObjeto';
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stConsultando');
  lTransition.AddTrigger('RM_SALVA_OBJETO');
  lTransition.AddEffect('EFFECT_SalvaObjeto');
  lTransition := lState.NewOutgoingTransition('RM_EXCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stAguardando');
  lTransition.AddTrigger('RM_EXCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_ExcluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_VALIDA_OBJETO');
  lTransition.GuardCondition := 'GUARD_ValidaObjeto';
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_VALIDA_OBJETO');
  
  lState := lStateMachine.FindState('stConsultando');
  lTransition := lState.NewOutgoingTransition('RM_INCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_INCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_IncluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_EDITA_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_EDITA_OBJETO');
  lTransition.AddEffect('EFFECT_MontaContexto');
  lTransition := lState.NewOutgoingTransition('RM_EXCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stAguardando');
  lTransition.AddTrigger('RM_EXCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_ExcluiObjeto');
  
  lState := lStateMachine.FindState('stAguardando');
  lTransition := lState.NewOutgoingTransition('RM_INCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_INCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_IncluiObjeto');
  
  
  
  //UseCase 'ucDetalhesAtualizacaoSistema'
  lUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1359');
  lUseCaseTicket.StateMachine := acUseCaseStateMachine.Create(lUseCaseTicket);
  
  lStateMachine := lUseCaseTicket.StateMachine;
  
  lStateMachine.Name := 'smServer';
  utState.Create(lStateMachine, 'Initializing');
  lSubMachineState := utSubMachineState.Create(lStateMachine, 'UseCaseSubmachine');
  lSubMachineUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1359');
  lSubMachineState.StateMachine := acUseCaseStateMachine.Create(lSubMachineUseCaseTicket, lSubMachineState);
  utFinalState.Create(lStateMachine, 'smBase_FinalState');
  lStateMachine.InitialState := lStateMachine.FindState('Initializing');
  lState := lStateMachine.FindState('Initializing');
  lTransition := lState.NewOutgoingTransition('READY');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition.AddTrigger('READY');
  
  lState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition := lState.NewOutgoingTransition('ABORT');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('smBase_FinalState');
  lTransition.AddTrigger('UM_ABORT','4');
  lTransition.AddEffect('EFFECT_Abort');
  lTransition := lState.NewOutgoingTransition('TIMEOUTCHECK');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_TIMEOUT_CHECK','16');
  lTransition.AddEffect('EFFECT_TimeOutCheck');
  lTransition := lState.NewOutgoingTransition('GETTRIGGERSFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_TRIGGERS_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetTriggersFromCurrentState');
  lTransition := lState.NewOutgoingTransition('GETXSDBYTRIGGERFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_XSD_BY_TRIGGER_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetXSDByTriggerFromCurrentState');
  
  
  lStateMachine := lUseCaseTicket.FindStateMachine('smServer');
  lStateMachine := utSubMachineState(lStateMachine.FindState('UseCaseSubmachine')).StateMachine as acUseCaseStateMachine;
  lStateMachine.Name := 'smDetalhesAtualizacaoSistema';
  utState.Create(lStateMachine, 'Executando');
  utFinalState.Create(lStateMachine, 'FinalState1');
  lStateMachine.InitialState := lStateMachine.FindState('Executando');
  lState := lStateMachine.FindState('Executando');
  lTransition := lState.NewOutgoingTransition('RM_RETORNA_XML');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('FinalState1');
  lTransition.AddTrigger('RM_RETORNA_XML');
  lTransition.AddEffect('EFFECT_RETORNA_XML');
  
  
  
  //UseCase 'ucControleAcesso'
  lUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('104');
  lUseCaseTicket.StateMachine := acUseCaseStateMachine.Create(lUseCaseTicket);
  
  lStateMachine := lUseCaseTicket.StateMachine;
  
  lStateMachine.Name := 'smServer';
  utState.Create(lStateMachine, 'Initializing');
  lSubMachineState := utSubMachineState.Create(lStateMachine, 'UseCaseSubmachine');
  lSubMachineUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('104');
  lSubMachineState.StateMachine := acUseCaseStateMachine.Create(lSubMachineUseCaseTicket, lSubMachineState);
  utFinalState.Create(lStateMachine, 'smBase_FinalState');
  lStateMachine.InitialState := lStateMachine.FindState('Initializing');
  lState := lStateMachine.FindState('Initializing');
  lTransition := lState.NewOutgoingTransition('READY');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition.AddTrigger('READY');
  
  lState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition := lState.NewOutgoingTransition('ABORT');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('smBase_FinalState');
  lTransition.AddTrigger('UM_ABORT','4');
  lTransition.AddEffect('EFFECT_Abort');
  lTransition := lState.NewOutgoingTransition('TIMEOUTCHECK');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_TIMEOUT_CHECK','16');
  lTransition.AddEffect('EFFECT_TimeOutCheck');
  lTransition := lState.NewOutgoingTransition('GETTRIGGERSFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_TRIGGERS_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetTriggersFromCurrentState');
  lTransition := lState.NewOutgoingTransition('GETXSDBYTRIGGERFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_XSD_BY_TRIGGER_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetXSDByTriggerFromCurrentState');
  
  
  lStateMachine := lUseCaseTicket.FindStateMachine('smServer');
  lStateMachine := utSubMachineState(lStateMachine.FindState('UseCaseSubmachine')).StateMachine as acUseCaseStateMachine;
  lStateMachine.Name := 'smControleAcesso';
  utState.Create(lStateMachine, 'Inicializando');
  utState.Create(lStateMachine, 'Executando');
  lStateMachine.InitialState := lStateMachine.FindState('Inicializando');
  lState := lStateMachine.FindState('Inicializando');
  lTransition := lState.NewOutgoingTransition('RM_INICIALIZAR_INTERFACE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('Executando');
  lTransition.AddTrigger('RM_INICIALIZAR_INTERFACE');
  lTransition.AddEffect('EFFECT_INICIALIZAR_INTERFACE');
  
  lState := lStateMachine.FindState('Executando');
  lTransition := lState.NewOutgoingTransition('RM_CARREGAR_PERMISSOES');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_CARREGAR_PERMISSOES');
  lTransition.AddEffect('EFFECT_CARREGAR_PERMISSOES');
  lTransition := lState.NewOutgoingTransition('RM_SALVAR');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_SALVAR');
  lTransition.AddEffect('EFFECT_SALVAR');
  
  
  
  //UseCase 'ucExplorerV4'
  lUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1432');
  lUseCaseTicket.StateMachine := acUseCaseStateMachine.Create(lUseCaseTicket);
  
  lStateMachine := lUseCaseTicket.StateMachine;
  
  lStateMachine.Name := 'smServer';
  utState.Create(lStateMachine, 'Initializing');
  lSubMachineState := utSubMachineState.Create(lStateMachine, 'UseCaseSubmachine');
  lSubMachineUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1432');
  lSubMachineState.StateMachine := acUseCaseStateMachine.Create(lSubMachineUseCaseTicket, lSubMachineState);
  utFinalState.Create(lStateMachine, 'smBase_FinalState');
  lStateMachine.InitialState := lStateMachine.FindState('Initializing');
  lState := lStateMachine.FindState('Initializing');
  lTransition := lState.NewOutgoingTransition('READY');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition.AddTrigger('READY');
  
  lState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition := lState.NewOutgoingTransition('ABORT');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('smBase_FinalState');
  lTransition.AddTrigger('UM_ABORT','4');
  lTransition.AddEffect('EFFECT_Abort');
  lTransition := lState.NewOutgoingTransition('TIMEOUTCHECK');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_TIMEOUT_CHECK','16');
  lTransition.AddEffect('EFFECT_TimeOutCheck');
  lTransition := lState.NewOutgoingTransition('GETTRIGGERSFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_TRIGGERS_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetTriggersFromCurrentState');
  lTransition := lState.NewOutgoingTransition('GETXSDBYTRIGGERFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_XSD_BY_TRIGGER_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetXSDByTriggerFromCurrentState');
  
  
  lStateMachine := lUseCaseTicket.FindStateMachine('smServer');
  lStateMachine := utSubMachineState(lStateMachine.FindState('UseCaseSubmachine')).StateMachine as acUseCaseStateMachine;
  lStateMachine.Name := 'smExplorerV4';
  utState.Create(lStateMachine, 'Aguardando');
  lStateMachine.InitialState := lStateMachine.FindState('Aguardando');
  lState := lStateMachine.FindState('Aguardando');
  lTransition := lState.NewOutgoingTransition('RM_EXECUTE_OQL');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_EXECUTE_OQL');
  lTransition.AddEffect('EFFECT_EXECUTE_OQL');
  lTransition := lState.NewOutgoingTransition('RM_GET_OBJECT_DATA');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_OBJECT_DATA');
  lTransition.AddEffect('EFFECT_GET_OBJECT_DATA');
  lTransition := lState.NewOutgoingTransition('RM_EXECUTE_SQL');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_EXECUTE_SQL');
  lTransition.AddEffect('EFFECT_EXECUTE_SQL');
  lTransition := lState.NewOutgoingTransition('RM_GET_MODEL_OBJECT_DATA');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_MODEL_OBJECT_DATA');
  lTransition.AddEffect('EFFECT_GET_MODEL_OBJECT_DATA');
  lTransition := lState.NewOutgoingTransition('RM_GET_OQL_FROM_OBJECT');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_OQL_FROM_OBJECT');
  lTransition.AddEffect('EFFECT_GET_OQL_FROM_OBJECT');
  
  
  
  //UseCase 'ucCadastroPerfil'
  lUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1963');
  lUseCaseTicket.StateMachine := acUseCaseStateMachine.Create(lUseCaseTicket);
  
  lStateMachine := lUseCaseTicket.StateMachine;
  
  lStateMachine.Name := 'smServer';
  utState.Create(lStateMachine, 'Initializing');
  lSubMachineState := utSubMachineState.Create(lStateMachine, 'UseCaseSubmachine');
  lSubMachineUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('1963');
  lSubMachineState.StateMachine := acUseCaseStateMachine.Create(lSubMachineUseCaseTicket, lSubMachineState);
  utFinalState.Create(lStateMachine, 'smBase_FinalState');
  lStateMachine.InitialState := lStateMachine.FindState('Initializing');
  lState := lStateMachine.FindState('Initializing');
  lTransition := lState.NewOutgoingTransition('READY');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition.AddTrigger('READY');
  
  lState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition := lState.NewOutgoingTransition('ABORT');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('smBase_FinalState');
  lTransition.AddTrigger('UM_ABORT','4');
  lTransition.AddEffect('EFFECT_Abort');
  lTransition := lState.NewOutgoingTransition('TIMEOUTCHECK');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_TIMEOUT_CHECK','16');
  lTransition.AddEffect('EFFECT_TimeOutCheck');
  lTransition := lState.NewOutgoingTransition('GETTRIGGERSFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_TRIGGERS_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetTriggersFromCurrentState');
  lTransition := lState.NewOutgoingTransition('GETXSDBYTRIGGERFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_XSD_BY_TRIGGER_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetXSDByTriggerFromCurrentState');
  
  
  lStateMachine := lUseCaseTicket.FindStateMachine('smServer');
  lStateMachine := utSubMachineState(lStateMachine.FindState('UseCaseSubmachine')).StateMachine as acUseCaseStateMachine;
  lStateMachine.Name := 'smucCadastroPerfil';
  utState.Create(lStateMachine, 'stAguardando');
  utState.Create(lStateMachine, 'stEditando');
  utState.Create(lStateMachine, 'stConsultando');
  lStateMachine.InitialState := lStateMachine.FindState('stAguardando');
  lState := lStateMachine.FindState('stAguardando');
  lTransition := lState.NewOutgoingTransition('RM_OBTEM_CONTEXTO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_OBTEM_CONTEXTO');
  lTransition.AddEffect('EFFECT_MontaContexto');
  lTransition := lState.NewOutgoingTransition('RM_INCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_INCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_IncluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_EXCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_EXCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_ExcluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_EDITA_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_EDITA_OBJETO');
  lTransition.AddEffect('EFFECT_EditaObjeto');
  lTransition := lState.NewOutgoingTransition('RM_CONSULTA_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stConsultando');
  lTransition.AddTrigger('RM_CONSULTA_OBJETO');
  lTransition.AddEffect('Effect_ConsultaObjeto');
  
  lState := lStateMachine.FindState('stEditando');
  lTransition := lState.NewOutgoingTransition('RM_EXCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stAguardando');
  lTransition.AddTrigger('RM_EXCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_ExcluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_SALVA_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stConsultando');
  lTransition.AddTrigger('RM_SALVA_OBJETO');
  lTransition.AddEffect('Effect_SalvaObjeto');
  
  lState := lStateMachine.FindState('stConsultando');
  lTransition := lState.NewOutgoingTransition('RM_INCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_INCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_IncluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_EDITA_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_EDITA_OBJETO');
  lTransition.AddEffect('EFFECT_EditaObjeto');
  lTransition := lState.NewOutgoingTransition('RM_EXCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stAguardando');
  lTransition.AddTrigger('RM_EXCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_ExcluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_CONSULTA_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_CONSULTA_OBJETO');
  lTransition.AddEffect('Effect_ConsultaObjeto');
  
  
  
  //UseCase 'ucCadastroUsuarioSistema'
  lUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('101');
  lUseCaseTicket.StateMachine := acUseCaseStateMachine.Create(lUseCaseTicket);
  
  lStateMachine := lUseCaseTicket.StateMachine;
  
  lStateMachine.Name := 'smServer';
  utState.Create(lStateMachine, 'Initializing');
  lSubMachineState := utSubMachineState.Create(lStateMachine, 'UseCaseSubmachine');
  lSubMachineUseCaseTicket := piMetaModel.GetUseCaseTicketByCode('101');
  lSubMachineState.StateMachine := acUseCaseStateMachine.Create(lSubMachineUseCaseTicket, lSubMachineState);
  utFinalState.Create(lStateMachine, 'smBase_FinalState');
  lStateMachine.InitialState := lStateMachine.FindState('Initializing');
  lState := lStateMachine.FindState('Initializing');
  lTransition := lState.NewOutgoingTransition('READY');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition.AddTrigger('READY');
  
  lState := lStateMachine.FindState('UseCaseSubmachine');
  lTransition := lState.NewOutgoingTransition('ABORT');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('smBase_FinalState');
  lTransition.AddTrigger('UM_ABORT','4');
  lTransition.AddEffect('EFFECT_Abort');
  lTransition := lState.NewOutgoingTransition('TIMEOUTCHECK');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_TIMEOUT_CHECK','16');
  lTransition.AddEffect('EFFECT_TimeOutCheck');
  lTransition := lState.NewOutgoingTransition('GETTRIGGERSFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_TRIGGERS_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetTriggersFromCurrentState');
  lTransition := lState.NewOutgoingTransition('GETXSDBYTRIGGERFROMCURRENTSTATE');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_GET_XSD_BY_TRIGGER_FROM_CURRENT_STATE');
  lTransition.AddEffect('EFFECT_GetXSDByTriggerFromCurrentState');
  
  
  lStateMachine := lUseCaseTicket.FindStateMachine('smServer');
  lStateMachine := utSubMachineState(lStateMachine.FindState('UseCaseSubmachine')).StateMachine as acUseCaseStateMachine;
  lStateMachine.Name := 'smCadastroUsuarioSistema';
  utState.Create(lStateMachine, 'stConsultando');
  utState.Create(lStateMachine, 'stEditando');
  utState.Create(lStateMachine, 'stAguardando');
  lStateMachine.InitialState := lStateMachine.FindState('stConsultando');
  lState := lStateMachine.FindState('stConsultando');
  lTransition := lState.NewOutgoingTransition('RM_INCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_INCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_IncluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_EDITA_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_EDITA_OBJETO');
  lTransition.AddEffect('EFFECT_MontaContexto');
  lTransition := lState.NewOutgoingTransition('RM_EXCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stAguardando');
  lTransition.AddTrigger('RM_EXCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_ExcluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_OBTEM_CONTEXTO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_OBTEM_CONTEXTO');
  lTransition.AddEffect('EFFECT_MontaContexto');
  lTransition := lState.NewOutgoingTransition('RM_SALVA_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stAguardando');
  lTransition.AddTrigger('RM_SALVA_OBJETO');
  lTransition.AddEffect('EFFECT_SalvaObjeto');
  
  lState := lStateMachine.FindState('stEditando');
  lTransition := lState.NewOutgoingTransition('RM_OBTEM_CONTEXTO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_OBTEM_CONTEXTO');
  lTransition.AddEffect('EFFECT_MontaContexto');
  lTransition := lState.NewOutgoingTransition('RM_SALVA_OBJETO');
  lTransition.GuardCondition := 'GUARD_ValidaObjeto';
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stConsultando');
  lTransition.AddTrigger('RM_SALVA_OBJETO');
  lTransition.AddEffect('EFFECT_SalvaObjeto');
  lTransition := lState.NewOutgoingTransition('RM_EXCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stAguardando');
  lTransition.AddTrigger('RM_EXCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_ExcluiObjeto');
  lTransition := lState.NewOutgoingTransition('RM_VALIDA_OBJETO');
  lTransition.GuardCondition := 'GUARD_ValidaObjeto';
  lTransition.SourceState := lState;
  lTransition.TargetState := lState;
  lTransition.AddTrigger('RM_VALIDA_OBJETO');
  
  lState := lStateMachine.FindState('stAguardando');
  lTransition := lState.NewOutgoingTransition('RM_INCLUI_OBJETO');
  lTransition.SourceState := lState;
  lTransition.TargetState := lStateMachine.FindState('stEditando');
  lTransition.AddTrigger('RM_INCLUI_OBJETO');
  lTransition.AddEffect('EFFECT_IncluiObjeto');
  
  
end;

procedure RegisterModelMappings(piMetaModelPersistenceMap: acMetaModelPersistenceMapSQL);
begin
   RegisterClassTickets1(piMetaModelPersistenceMap.MetaModel, piMetaModelPersistenceMap){1 - 200};
   RegisterClassRelationTickets1(piMetaModelPersistenceMap.MetaModel, piMetaModelPersistenceMap){1 - 200};
   RegisterUseCases1(piMetaModelPersistenceMap.MetaModel){1 - 100};
end;



end.
